Uses of Class
com.eqixiac.equinix.fabric.beta.model.AppLinkAppServiceAttachment
Packages that use AppLinkAppServiceAttachment
Package
Description
Public Fabric Beta client interfaces: the
FabricBeta hub and one client per family.Implementations of the Fabric Beta clients.
-
Uses of AppLinkAppServiceAttachment in com.eqixiac.equinix.fabric.beta.client
Methods in com.eqixiac.equinix.fabric.beta.client that return AppLinkAppServiceAttachmentModifier and TypeMethodDescriptionAppLinks.attachAppService(String appLinkId, String appServiceId, AppLinkAttachServiceRequest request) Attach Service to Link:PUT /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationattachAppServiceToAppLink).AppLinks.detachAppService(String appLinkId, String appServiceId) Detach Service from Link:DELETE /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationdetachAppServiceFromAppLink).AppLinks.getAttachedAppService(String appLinkId, String appServiceId) Get Attached Service for Link:GET /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationgetAttachedAppServiceByUuid).AppLinks.updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) Update Service Attachment for Link:PATCH /fabric/v4/appLinks/{appLinkId}/appServices/{appServiceId}(operationupdateAppServiceAttachmentToAppLink).Methods in com.eqixiac.equinix.fabric.beta.client that return types with arguments of type AppLinkAppServiceAttachmentModifier and TypeMethodDescriptionAppLinks.searchAttachedAppServices(String appLinkId) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).AppLinks.searchAttachedAppServices(String appLinkId, FilterPropertyList filter) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices).AppLinks.searchAttachedAppServices(String appLinkId, FilterPropertyList filter, SortPropertyList sort) Search Attached Services for Link:POST /fabric/v4/appLinks/{appLinkId}/appServices/search(operationsearchAttachedAppServices). -
Uses of AppLinkAppServiceAttachment in com.eqixiac.equinix.fabric.beta.client.implementation
Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return AppLinkAppServiceAttachmentModifier and TypeMethodDescriptionAppLinksImpl.attachAppService(String appLinkId, String appServiceId, AppLinkAttachServiceRequest request) AppLinksImpl.detachAppService(String appLinkId, String appServiceId) AppLinksImpl.getAttachedAppService(String appLinkId, String appServiceId) AppLinksImpl.updateAppServiceAttachment(String appLinkId, String appServiceId, List<PatchOperation> operations) Methods in com.eqixiac.equinix.fabric.beta.client.implementation that return types with arguments of type AppLinkAppServiceAttachmentModifier and TypeMethodDescriptionAppLinksImpl.searchAttachedAppServices(String appLinkId) AppLinksImpl.searchAttachedAppServices(String appLinkId, FilterPropertyList filter) AppLinksImpl.searchAttachedAppServices(String appLinkId, FilterPropertyList filter, SortPropertyList sort)